Subject: [PATCH RFC 4/7] ASoC: samsung: i2s: Do not use platform_data for DMA parameters

From: [email-masked] (Arnd Bergmann)
Date: Sat, 5 Nov 2016 00:29:18 +0100

On Friday 04 November 2016, Sylwester Nawrocki wrote:
> -       ret = samsung_asoc_dma_platform_register(&pdev->dev, pri_dai->filter,
> +       ret = samsung_asoc_dma_platform_register(&pdev->dev, NULL,
>                                                  NULL, NULL);

If we remove the filter argument from every caller here, maybe we should also
change the prototype to not expect those three NULL arguments any more.

	Arnd